summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2017-09-11 14:32:10 -0500
committerWilliam Hubbs <williamh@gentoo.org>2017-09-11 14:32:34 -0500
commitf42e2fbf0dd9e8c771f7138435210ea7061e0599 (patch)
tree7bdf41620c343ad327d8f40c034a092cff9a8355
parentsys-apps/net-tools: stable 1.60_p20161110235919 for ia64, bug #605312 (diff)
downloadgentoo-f42e2fbf0dd9e8c771f7138435210ea7061e0599.zip
gentoo-f42e2fbf0dd9e8c771f7138435210ea7061e0599.tar.gz
gentoo-f42e2fbf0dd9e8c771f7138435210ea7061e0599.tar.bz2
app-emulation/go-secbench: add runtime dependency on docker
Package-Manager: Portage-2.3.6, Repoman-2.3.1
-rw-r--r--app-emulation/go-secbench/go-secbench-0.1.0-r1.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/app-emulation/go-secbench/go-secbench-0.1.0-r1.ebuild b/app-emulation/go-secbench/go-secbench-0.1.0-r1.ebuild
new file mode 100644
index 00000000..9704fff
--- /dev/null
+++ b/app-emulation/go-secbench/go-secbench-0.1.0-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/qnib/go-secbench"
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="run and evaluate the docker security benchmark"
+HOMEPAGE="https://github.com/qnib/go-secbench"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+
+DEPEND="dev-lang/go"
+RDEPEND="app-emulation/docker"
+
+src_compile() {
+ GOPATH="${S}" go build -o bin/go-secbench src/${EGO_PN}/cmd/main.go || die
+}
+
+src_install() {
+ dobin bin/${PN}
+dodoc "src/${EGO_PN}/README.md"
+}